Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.util
Class DOMUtils

    java.lang.Object
      org.jboss.webservice.util.DOMUtils

public final class DOMUtils
extends Object

A utility class for common w3c DOM operations.

Since:
  15-May-2004
Author:
  Thomas.Diesler@jboss.org

Method Summary
`static String` | `getAttributeValue(Element el, String attrName)` Get the value from the given attribute
`static boolean` | `getAttributeValueAsBoolean(Element el, String attrName)` Get the boolean value from the given attribute
`static javax.xml.namespace.QName` | `getAttributeValueAsQName(Element el, String attrName)` Get the qname value from the given attribute
`static Element` | `getFirstChildElement(Element el)` Gets the first child element
`static Element` | `getFirstChildElement(Element el, String tagName)` Gets the first child element for a givenname
`static Element` | `getParentElement(Element el)` Gets parent element or null if there is none

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributeValue

    public static String getAttributeValue(Element el,
                                           String attrName)

  Get the value from the given attribute

  Returns:
    null if the attribute value is empty or the attribute is not present

### getAttributeValueAsQName

    public static javax.xml.namespace.QName getAttributeValueAsQName(Element el,
                                                                     String attrName)

  Get the qname value from the given attribute

### getAttributeValueAsBoolean

    public static boolean getAttributeValueAsBoolean(Element el,
                                                     String attrName)

  Get the boolean value from the given attribute

### getFirstChildElement

    public static Element getFirstChildElement(Element el)

  Gets the first child element

### getFirstChildElement

    public static Element getFirstChildElement(Element el,
                                               String tagName)

  Gets the first child element for a givenname

### getParentElement

    public static Element getParentElement(Element el)

  Gets parent element or null if there is none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.